local Options = KiwiPlatesOptions

Options:RegisterModuleOptions( 'HealthText', {

	header = { type = 'header', name = 'Health Text', order= 0 },

	textFormat = { 
		type = "select", order = 3, name = 'Text Format', values = { 'Percent', 'Health', 'Health|Percent', 'Percent|Health', '- Use Skin Format -' },
		get = function(info) 
			local db = info.handler.theme.HealthText
			return db and db.textFormat or 5 
		end,
		set = function(info, value)	
			local db = info.handler.theme.HealthText or {}
			db.textFormat = value<5 and value or nil 
			info.handler.theme.HealthText = db
			info.handler:OnChange(info)	
		end
	},

}, { order = 40 }  )

Options:RegisterModuleDefaults( 'HealthText', { __ALWAYS_ENABLED = true } )
