local Options = KiwiPlatesOptions

local options = {}

options.headerGlow = { type = 'header', order = 50, name = 'Mouseover Color' }

options.glowEnabled = {
	name = 'Enable Color',
	desc = 'Colorize specified elements with the mouseover color',
	type = 'toggle',
	order = 55,
	width = "normal",
}

options.glowColor = {
	name = 'Mouseover color',
	type = 'color',
	width = 'normal',
	hasAlpha = true,
	order = 60,
}

Options:MakeColorReceiversOptions(options)

Options:RegisterModuleOptions( 'Mouseover', options, { order = 11 } )

Options:RegisterModuleDefaults( 'Mouseover', {
	alpha = 1,
	layer = 'OVERTARGET',
	glowEnabled = false,
	glowColor = { 0, .8, 1, 0.5 },
	colorReceivers = {},
	colorPriority = 6,
})
